Subject: Re: [PATCH] t7063: work around FreeBSD's lazy mtime update feature

From: Eric Wong <[email-masked]>
Date: Sun, 31 Jul 2016 01:07:32 +0000

Eric Wong <[email-masked]> wrote:
> Nguyễn Thái Ngọc Duy <[email-masked]> wrote:
> > +test_expect_success FREEBSD 'Work around lazy mtime update' '
> > +	ls -ld . >/dev/null
> > +'
> 
> 	stat . >/dev/null

If there's some older FreeBSD w/o stat(1); "test -x ."
ought to work, too, and it's faster being a shell builtin.

I suspect some shell might be clever about optimizing away
a more-obvious "test -d .", so I choose "test -x ."

> would be more to the point of what is going on, here.   But I
> also wonder if untracked cache itself could/should be doing this
> internally.

Still wondering :>

> (I'm not familiar with that code, of course)
> 
> Thanks again for looking into this.